<template>
  <div class="accordion">
    <div class="accordion-title" @click="state = !state">
      <v-row dense>
        <v-col cols="auto">
          <slot name="heading"> </slot>
        </v-col>
        <v-spacer />
        <v-icon>mdi-chevron-down {{ state ? "mdi-rotate-180" : "" }} </v-icon>
      </v-row>
    </div>
    <div class="accordion-content" v-if="state">
      <slot></slot>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
@Component
export default class Accordion extends Vue {
  state = false;
}
</script>
<style lang="scss">
.accordion {
  .accordion-title {
    background: #e9f1f9;
    border-radius: 20px;
    padding: 10px 22px;
    cursor: pointer;
  }
}
</style>
